Public Member Functions | Friends

# GDALGeneric3x3Dataset Class Reference

Inheritance diagram for GDALGeneric3x3Dataset:

List of all members.

## Public Member Functions
| GDALGeneric3x3Dataset (GDALDatasetH hSrcDS, GDALRasterBandH hSrcBand, GDALDataType eDstDataType, int bDstHasNoData, double dfDstNoDataValue, GDALGeneric3x3ProcessingAlg pfnAlg, void *pAlgData, int bComputeAtEdges)
CPLErr | GetGeoTransform (double *padfGeoTransform)
| Fetch the affine transformation coefficients.
const char * | GetProjectionRef ()
| Fetch the projection definition string for this dataset.
## Friends
class | GDALGeneric3x3RasterBand

## Member Function Documentation

CPLErr GDALGeneric3x3Dataset::GetGeoTransform | ( | double * | padfTransform | ) | `[virtual]`

Fetch the affine transformation coefficients.

Fetches the coefficients for transforming between pixel/line (P,L) raster space, and projection coordinates (Xp,Yp) space.

       Xp = padfTransform[0] + P*padfTransform[1] + L*padfTransform[2];
       Yp = padfTransform[3] + P*padfTransform[4] + L*padfTransform[5];

In a north up image, padfTransform[1] is the pixel width, and padfTransform[5] is the pixel height. The upper left corner of the upper left pixel is at position (padfTransform[0],padfTransform[3]).

The default transform is (0,1,0,0,0,1) and should be returned even when a CE_Failure error is returned, such as for formats that don't support transformation to projection coordinates.

NOTE: GetGeoTransform() isn't expressive enough to handle the variety of OGC Grid Coverages pixel/line to projection transformation schemes. Eventually this method will be depreciated in favour of a more general scheme.

This method does the same thing as the C GDALGetGeoTransform() function.

Parameters:

  | padfTransform | an existing six double buffer into which the transformation will be placed.

Returns:
  CE_None on success, or CE_Failure if no transform can be fetched.

Reimplemented from GDALDataset.

References GDALGetGeoTransform().

const char * GDALGeneric3x3Dataset::GetProjectionRef | ( | void |  | ) | `[virtual]`

Fetch the projection definition string for this dataset.

Same as the C function GDALGetProjectionRef().

The returned string defines the projection coordinate system of the image in OpenGIS WKT format. It should be suitable for use with the OGRSpatialReference class.

When a projection definition is not available an empty (but not NULL) string is returned.

Returns:
  a pointer to an internal projection reference string. It should not be altered, freed or expected to last for long.

See also:
  http://www.gdal.org/ogr/osr_tutorial.html

Reimplemented from GDALDataset.

References GDALGetProjectionRef().

The documentation for this class was generated from the following file:

- gdaldem.cpp

Generated for GDAL by 1.7.1.